=== debian/changelog ===
xmms2 (0.7DrNo-4ubuntu1) lucid; urgency=low

  * Merge from Debian unstable; remaining changes:
    - Use PulseAudio as default output plugin.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 24 Mar 2010 01:13:34 +0100

xmms2 (0.7DrNo-4) unstable; urgency=low

  * Add remove-path_max.patch to replace PATH_MAX by XMMS_PATH_MAX to
    fix FTBFS on hurd-i386.
  * Add xmms2-hppa.patch to disable parallel build on hppa architecture;
    thanks to Jakub Wilk for the patch (Closes: #558983).
  * libxmmsclient++-dev must depend on libboost-dev.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 24 Mar 2010 00:46:21 +0100

xmms2 (0.7DrNo-3ubuntu1) lucid; urgency=low

  * Merge from Debian unstable (LP: #532278), remaining changes:
    - Use PulseAudio as default output plugin.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 07 Mar 2010 04:11:24 +0100

xmms2 (0.7DrNo-3) unstable; urgency=low

  * Use convenience copy of waf instead of system one (Closes: #571713).

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 27 Feb 2010 15:05:35 +0100

xmms2 (0.7DrNo-2) unstable; urgency=low

  * Add fix-cast-error.patch to fix implicitly conversion (Closes: #571539).

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 26 Feb 2010 00:49:21 +0100

xmms2 (0.7DrNo-1) unstable; urgency=low

  * New upstream release.
    + Remove perl.patch and fix-upstream-bug-2307.patch.
    + Refresh remaining patches.
    + Build depend on libgme-dev for the gme plugin.
    + Rename library packages to reflect SONAME changes.
    + Drop boost dependency for libxmmsclient++-dev.
  * Use system waf to build xmms2.
  * Bump Standards-Version to 3.8.4 (no changes required).
  * Add trailing blank line to debian/NEWS.
  * Remove unused ${shlibs:Depends}.
  * Drop XS-Python-Version, debian/pycompat, and depend on
    python-support >= 0.90.
  * Add linker-flags.patch: Do not link against unused libraries (make
    dpkg-shlibdeps happy).
  * Convert debian/rules to use dh.
  * xmms2 recommends xmms2-client-nycli.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 21 Feb 2010 17:48:01 +0100

xmms2 (0.6DrMattDestruction-8ubuntu1) lucid; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Use PulseAudio as default output plugin.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 20 Jan 2010 22:40:33 +0100

xmms2 (0.6DrMattDestruction-8) unstable; urgency=low

  * debian/patches/fix-upstream-bug-2307.patch: Let PulseAudio take care
    of the initial volume (Closes: #565924).
  * debian/patches/vorbis-picture-support.patch: Add support for
    METADATA_BLOCK_PICTURE in Vorbis plugin (Closes: #565479).
  * Switch to debhelper v7.
  * Replace dh_clean -k by dh_prep
  * Add ${misc:Depends} to xmms2-icon package.
  * Fix spelling error in xmms2-ripper manpage.
  * Fix spelling mistake in xmms2-mdns-avahi manpage.
  * Drop topgit; use quilt directly to manage patches.
  * Use DEP-3 header for all patches.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 20 Jan 2010 21:36:21 +0100

xmms2 (0.6DrMattDestruction-7ubuntu2) lucid; urgency=low

  * rebuild for ffmpeg versioned symbols

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 19 Jan 2010 21:42:40 +0100

xmms2 (0.6DrMattDestruction-7ubuntu1) lucid; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Use PulseAudio as default output plugin.

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 22 Dec 2009 17:02:49 +0100

xmms2 (0.6DrMattDestruction-7) unstable; urgency=low

  * Add sh4 to supported architecture list for xmms2-plugin-alsa
    (Closes: #561910).
  * Switch to 3.0 (quilt) source format.

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 22 Dec 2009 16:24:17 +0100

xmms2 (0.6DrMattDestruction-6ubuntu1) lucid; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Use PulseAudio as default output plugin.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 14 Nov 2009 23:07:57 +0100

xmms2 (0.6DrMattDestruction-6) unstable; urgency=low

  * Let libxmmsclient++-dev depend on a versioned libboost-signals-dev
    package to avoid issues like bug #554496.
  * Fix weak-library-dev-dependency.
  * Build-Depends on libavcodec-dev on all architectures (Closes: #546974).

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 08 Nov 2009 17:09:27 +0100

xmms2 (0.6DrMattDestruction-5ubuntu1) karmic; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Use PulseAudio as default output plugin.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 13 Sep 2009 22:06:41 +0200

xmms2 (0.6DrMattDestruction-5) unstable; urgency=low

  * Build depend on libreadline-dev rather than libreadline5-dev.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 13 Sep 2009 20:15:34 +0200

xmms2 (0.6DrMattDestruction-4ubuntu1) karmic; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Use PulseAudio as default output plugin.

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 10 Sep 2009 17:25:48 +0200

xmms2 (0.6DrMattDestruction-4) unstable; urgency=low

  * Make xmms2-launcher more smart and silent. All non error output is now
    turned off unless you run xmms2-launcher with the --verbose switch;
    thanks Adam Flott for the patch (Closes: #510375).
  * Bump Standards-Version to 3.8.3 (no changes required).
  * Allow uploads done by Debian Maintainers.
  * xmms2 add respects now the common Unix convention for output verbosity;
    thanks Jan Braun for the patch (Closes: #510374).

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 26 Aug 2009 01:21:21 +0200

xmms2 (0.6DrMattDestruction-3ubuntu2) karmic; urgency=low

  * No-change rebuild to pick up new ffmpeg shlibs file.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Sat, 29 Aug 2009 23:23:40 +0200

xmms2 (0.6DrMattDestruction-3ubuntu1) karmic; urgency=low

  * Merge from Debian unstable, no remaining changes.
  * Use PulseAudio as default output plugin (LP: #398481).

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 09 Aug 2009 21:18:24 +0200

xmms2 (0.6DrMattDestruction-3) unstable; urgency=high


