=== debian/control ===
Source: xmms2
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Florian Ragwitz <rafl@debian.org>
Uploaders: Jens Taprogge <jlt@taprogge.org>,
           Jonne Lehtinen <jms@modeemi.fi>,
           Anders Waldenborg <anders@0x63.nu>,
           Benjamin Drung <bdrung@ubuntu.com>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7.0.50~),
               libao-dev,
               libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64],
               libavahi-client-dev,
               libavahi-glib-dev,
               libavcodec-dev,
               libboost-dev,
               libboost-signals-dev,
               libcdio-cdda-dev,
               libcurl4-openssl-dev,
               libdiscid0-dev,
               libexpat1-dev,
               libfaad-dev,
               libfftw3-dev,
               libflac-dev,
               libgamin-dev,
               libglib2.0-dev,
               libgme-dev,
               libjack-dev,
               libmad0-dev,
               libmms-dev,
               libmodplug-dev,
               libmpcdec-dev,
               libmpg123-dev (>= 1.5.1),
               libofa0-dev,
               libperl-dev,
               libpulse-dev,
               libreadline-dev,
               libresid-builder-dev,
               libsamplerate-dev,
               libsdl1.2-dev,
               libshout-dev,
               libsidplay2-dev,
               libsmbclient-dev,
               libsqlite3-dev,
               libvisual-0.4-dev,
               libvorbis-dev,
               libwavpack-dev,
               libxml2-dev,
               python-all-dev (>= 2.3.5-11),
               python-pyrex,
               python-support (>= 0.90),
               ruby,
               ruby1.8-dev
DM-Upload-Allowed: yes
Vcs-Git: git://git.debian.org/git/pkg-xmms2/xmms2
Vcs-Browser: http://git.debian.org/?p=pkg-xmms2/xmms2.git
Homepage: http://xmms2.xmms.se/

Package: xmms2
Architecture: all
Depends: xmms2-client-cli,
         xmms2-core,
         xmms2-icon,
         xmms2-plugin-alsa [!kfreebsd-i386 !kfreebsd-amd64],
         xmms2-plugin-id3v2,
         xmms2-plugin-mad,
         xmms2-plugin-oss [kfreebsd-i386 kfreebsd-amd64],
         xmms2-plugin-pulse,
         xmms2-plugin-vorbis,
         ${misc:Depends}
Recommends: xmms2-client-nycli
Conflicts: xmms2-plugin-nulstripper
Replaces: xmms2-plugin-nulstripper
Description: Client/server based media player system
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package is a metapackage depending on various other XMMS2 packages.
 Installing this package gets you a command line client and enables XMMS2
 playback of Ogg Vorbis and MP3 files from local and remote sources.

Package: xmms2-plugin-all
Architecture: all
Depends: xmms2-plugin-airplay,
         xmms2-plugin-alsa [!kfreebsd-i386 !kfreebsd-amd64],
         xmms2-plugin-ao,
         xmms2-plugin-apefile,
         xmms2-plugin-asf,
         xmms2-plugin-asx,
         xmms2-plugin-avcodec,
         xmms2-plugin-cdda,
         xmms2-plugin-cue,
         xmms2-plugin-curl,
         xmms2-plugin-daap,
         xmms2-plugin-faad,
         xmms2-plugin-flac,
         xmms2-plugin-flv,
         xmms2-plugin-gme,
         xmms2-plugin-gvfs,
         xmms2-plugin-html,
         xmms2-plugin-ices,
         xmms2-plugin-icymetaint,
         xmms2-plugin-id3v2,
         xmms2-plugin-jack,
         xmms2-plugin-karaoke,
         xmms2-plugin-m3u,
         xmms2-plugin-mad,
         xmms2-plugin-mms,
         xmms2-plugin-modplug,
         xmms2-plugin-mp4,
         xmms2-plugin-mpg123,
         xmms2-plugin-musepack,
         xmms2-plugin-normalize,
         xmms2-plugin-ofa,
         xmms2-plugin-oss,
         xmms2-plugin-pls,
         xmms2-plugin-pulse,
         xmms2-plugin-rss,
         xmms2-plugin-sid,
         xmms2-plugin-smb,
         xmms2-plugin-speex,
         xmms2-plugin-tta,
         xmms2-plugin-vocoder,
         xmms2-plugin-vorbis,
         xmms2-plugin-wavpack,
         xmms2-plugin-xml,
         xmms2-plugin-xspf,
         ${misc:Depends}
Description: XMMS2 - all plug-ins
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This is a metapackage depending on all available XMMS2 plug-ins to make
 installation easier.

Package: xmms2-dev
Architecture: all
Section: libdevel
Depends: pkg-config,
         ${misc:Depends}
Description: XMMS2 - plug-in development files
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains headers required for developing XMMS2 plug-ins.

Package: xmms2-core
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libxmmsclient++1,
           libxmmsclient++2,
           libxmmsclient2,
           libxmmsclient3,
           libxmmsclient4
Description: XMMS2 - core package
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package just contains the daemon that loads plug-ins and allows clients to
 connect.

Package: xmms2-et
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: XMMS2 - phone home package
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains a small program that (anonymously) reports back
 information on your computer and XMMS2 configuration to the XMMS2 developers.

Package: xmms2-icon
Architecture: all
Depends: ${misc:Depends}
Conflicts: xmms2-core (<= 0.6DrMattDestruction-1)
Replaces: xmms2-core (<= 0.6DrMattDestruction-1)
Description: XMMS2 - icon package
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package just contains the icon files.

Package: libxmmsclient6
Architecture: any
Section: libs
Conflicts: libxmmsclient2,
           libxmmsclient3,
           libxmmsclient4,
           libxmmsclient5
Replaces: libxmmsclient2,
          libxmmsclient3,
          libxmmsclient4,
          libxmmsclient5
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: xmms2-core (<< 0.6DrMattDestruction)
Description: XMMS2 - client library
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains a client library written in c.

Package: libxmmsclient-dev
Architecture: any
Section: libdevel
Depends: libxmmsclient6 (= ${binary:Version}),
         pkg-config,
         xmms2-dev,
         ${misc:Depends}
Description: XMMS2 - client library development files
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains files for developing XMMS2 clients using libxmmsclient6.

Package: libxmmsclient-glib1
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: XMMS2 - glib client library
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains a glib based client library written in c.

Package: libxmmsclient-glib-dev
Architecture: any
Section: libdevel
Depends: libglib2.0-dev,
         libxmmsclient-dev,
         libxmmsclient-glib1 (= ${binary:Version}),
         pkg-config,
         ${misc:Depends}
Description: XMMS2 - glib client library - development files
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains files for developing XMMS2 clients using
 libxmmsclient-glib1.

Package: libxmmsclient++4
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libxmmsclient++1,
           libxmmsclient++2,
           libxmmsclient++3
Replaces: libxmmsclient++1,
          libxmmsclient++2,
          libxmmsclient++3
Breaks: xmms2-core (<< 0.6DrMattDestruction)
Description: XMMS2 - client library for c++
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains a client library written in c++.

Package: libxmmsclient++-dev
Architecture: any
Section: libdevel
Depends: libboost-dev,
         libxmmsclient++4 (= ${binary:Version}),
         libxmmsclient-dev,
         pkg-config,
         ${misc:Depends}
Description: XMMS2 - client library for c++ - development files
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains files for developing XMMS2 clients using
 libxmmsclient++4.

Package: libxmmsclient++-glib1
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: XMMS2 - glib client library for c++
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains a glib based client library written in c++.

Package: libxmmsclient++-glib-dev
Architecture: any
Section: libdevel
Depends: libxmmsclient++-dev,
         libxmmsclient++-glib1 (= ${binary:Version}),
         libxmmsclient-glib-dev,
         pkg-config,
         ${misc:Depends}
Description: XMMS2 - glib client library for c++ - development files
 XMMS2 is a redesign of the XMMS music player. It features a client-server
