=== debian/watch ===
version=3
http://sf.net/xmms2/xmms2-(.*)\.tar\.bz2
